#include "descriptor/descriptor.h"

	ITEM	corno_dx, corno_sx, corpo_trimmato;
	ITEM	braccio_dx, mano_dx, pollice_dx, indice_dx, medio_dx, mignolo_dx;
	ITEM	braccio_sx, mano_sx, pollice_sx, indice_sx, medio_sx, mignolo_sx;
	ITEM	occhio, ciglio, sopracciglio, sottociglio;
	ITEM	bocca_overlay, labbro, dente_1, dente_2, dente_3, dente_4;
	ITEM	gamba_dx, piede_dx, unghia_dx_1, unghia_dx_2, unghia_dx_3;
	ITEM	gamba_sx, piede_sx, unghia_sx_1, unghia_sx_2, unghia_sx_3;

	ITEM	porta_corpo, porta_contorno, pomello_porta;
	ITEM	sostegno_porta_dx, sostegno_porta_sx, ruota_dx, ruota_sx, lucina;
	ITEM	sostegno_bombola_sotto, sostegno_bombola_sopra, bombola, bombola2;

	ITEM	pinza_1, pinza_2, filo;

	ITEM	pavimento, soffitto, fondo, muro;
		
	ITEM	braccio_dx_list, braccio_sx_list, corpo_list, gamba_dx_list, gamba_sx_list;
	ITEM	pelle_list, denti_list, unghie_list, piede_dx_list, piede_sx_list;
	ITEM	pinza_list;
	ITEM	ambiente_list, sostegni_list, porta_list;
	ITEM	scena;

	ITEM	temp_attr, colore_pavimento, colore_muro, colore_soffitto, attr_lucina;	

	ITEM	luce_1, luce_2;

	VEC_real_t	gamba_dx_rot = 0, gamba_sx_rot = 0, piede_dx_rot = 0, piede_sx_rot = 0;
	VEC_real_t	gamba_dx_posx = 0, gamba_sx_posx = 0, piede_dx_posx = 0, piede_sx_posx = 0;
	VEC_real_t	gamba_dx_posz = 0, gamba_sx_posz = 0, piede_dx_posz = 0, piede_sx_posz = 0;
	VEC_real_t	braccio_dx_posx = 0, braccio_sx_posx = 0, corpo_posx = 0;
	VEC_real_t	braccio_dx_posz = 0, braccio_sx_posz = 0, corpo_posz = 0;

void inizio_passo_sx()
{

}

void inizio_passo_dx()
{
	//ruoto la gamba destra in avanti
	gamba_dx_rot = -10;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);
	//ruoto la gamba sinistra indietro
	gamba_sx_rot = 10;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);

	//sposto la gamba destra un pò più su: se è ruotata si abbassa
	gamba_dx_posx += 3;
	gamba_dx_posz += -5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	//sposto la gamba sinistra un pò più su: se è ruotata si abbassa
	gamba_sx_posx += 1;
	gamba_sx_posz += 5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	//gamba_dx_posx += 2;
	//tengo per terra il piede sinistro

	//sposto un pò in avanti e in giu il corpo per accompagnare la gamba destra ruotata
	corpo_posx += 1;
	corpo_posz += -0.5;
	braccio_dx_posx += 1;
	braccio_dx_posz += -0.5;
	braccio_sx_posx += 1;
	braccio_sx_posz += -0.5;
	set_translate(corpo_list, 1,0,-0.5);
	set_translate(braccio_dx_list, 1,0,-0.5);
	set_translate(braccio_sx_list, 1,0,-0.5);
}

void fine_passo_sx()
{

}

void fine_passo_dx()
{
	gamba_dx_rot = 0;
	gamba_sx_rot = 0;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);

	//sposto la gamba destra un pò più su: se è ruotata si abbassa
	gamba_dx_posx += 1;
	gamba_dx_posz += +5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	//sposto la gamba sinistra un pò più su: se è ruotata si abbassa
	gamba_sx_posx += 3;
	gamba_sx_posz += -5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	//gamba_dx_posx += 2;
	//tengo per terra il piede sinistro

	//sposto un pò in avanti e in giu il corpo per accompagnare la gamba destra ruotata
	corpo_posx += 2;
	corpo_posz += -0.5;
	braccio_dx_posx += 2;
	braccio_dx_posz += -0.5;
	braccio_sx_posx += 2;
	braccio_sx_posz += -0.5;
	set_translate(corpo_list, 2,0,-0.5);
	set_translate(braccio_dx_list, 2,0,-0.5);
	set_translate(braccio_sx_list, 2,0,-0.5);
}

void passo_da_dx_a_sx_1()
{
	//la gamba destra ora poggia per terra dritta(la abbasso e rot = 0)
	gamba_dx_rot += 5;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);
	gamba_dx_posx += 0.5;
	gamba_dx_posz += 2.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	
	//la gamba sinistra è più ruotata di prima e il piede un pò ruotato
	gamba_sx_rot += 5;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);
	gamba_sx_posx += 1;
	gamba_sx_posz += 2.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);

	//il corpo torna su e avanza un pò
	corpo_posx += 1.75;
	corpo_posz += 0.25;
	braccio_dx_posx += 1.75;
	braccio_dx_posz += 0.25;
	braccio_sx_posx += 1.75;
	braccio_sx_posz += 0.25;
	set_translate(corpo_list, 1.75,0,0.25);
	set_translate(braccio_dx_list, 1.75,0,0.25);
	set_translate(braccio_sx_list, 1.75,0,0.25);
}

void passo_da_dx_a_sx_2()
{
	//la gamba destra ora poggia per terra dritta(la abbasso e rot = 0)
	gamba_dx_rot += 5;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);
	gamba_dx_posx += 0.5;
	gamba_dx_posz += 2.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	
	//la gamba sinistra è più ruotata di prima e il piede un pò ruotato
	gamba_sx_rot += 5;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);
	gamba_sx_posx += 1;
	gamba_sx_posz += 2.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);

	//il corpo torna su e avanza un pò
	corpo_posx += 1.75;
	corpo_posz += 0.25;
	braccio_dx_posx += 1.75;
	braccio_dx_posz += 0.25;
	braccio_sx_posx += 1.75;
	braccio_sx_posz += 0.25;
	set_translate(corpo_list, 1.75,0,0.25);
	set_translate(braccio_dx_list, 1.75,0,0.25);
	set_translate(braccio_sx_list, 1.75,0,0.25);
}


void passo_da_dx_a_sx_3()
{
	//ruoto la gamba sinistra in avanti
	gamba_sx_rot += -15;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);
	gamba_sx_posx += 2.25;
	gamba_sx_posz += -7.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	//ruoto la gamba destra indietro
	gamba_dx_rot += 5;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, -1);
	gamba_dx_posx += 1.25;
	gamba_dx_posz += 2.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	//sposto un pò in avanti e in giu il corpo per accompagnare la gamba sinistra ruotata
	corpo_posx += 0.75;
	corpo_posz += -0.25;
	braccio_dx_posx += 0.75;
	braccio_dx_posz += -0.25;
	braccio_sx_posx += 0.75;
	braccio_sx_posz += -0.25;
	set_translate(corpo_list, 0.75,0,-0.25);
	set_translate(braccio_dx_list, 0.75,0,-0.25);
	set_translate(braccio_sx_list, 0.75,0,-0.25);
}

void passo_da_dx_a_sx_4()
{
	//ruoto la gamba sinistra in avanti
	gamba_sx_rot += -15;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);
	gamba_sx_posx += 2.25;
	gamba_sx_posz += -7.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	//ruoto la gamba destra indietro
	gamba_dx_rot += 5;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, -1);
	gamba_dx_posx += 1.25;
	gamba_dx_posz += 2.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	//sposto un pò in avanti e in giu il corpo per accompagnare la gamba sinistra ruotata
	corpo_posx += 0.75;
	corpo_posz += -0.25;
	braccio_dx_posx += 0.75;
	braccio_dx_posz += -0.25;
	braccio_sx_posx += 0.75;
	braccio_sx_posz += -0.25;
	set_translate(corpo_list, 0.75,0,-0.25);
	set_translate(braccio_dx_list, 0.75,0,-0.25);
	set_translate(braccio_sx_list, 0.75,0,-0.25);
}

void passo_da_sx_a_dx_1()
{
	//la gamba destra ora poggia per terra dritta(la abbasso e rot = 0)
	gamba_sx_rot += 5;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);
	gamba_sx_posx += 0.5;
	gamba_sx_posz += 2.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	
	//la gamba sinistra è più ruotata di prima e il piede un pò ruotato
	gamba_dx_rot += 5;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);
	gamba_dx_posx += 1;
	gamba_dx_posz += 2.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);

	//il corpo torna su e avanza un pò
	corpo_posx += 1.75;
	corpo_posz += 0.25;
	braccio_dx_posx += 1.75;
	braccio_dx_posz += 0.25;
	braccio_sx_posx += 1.75;
	braccio_sx_posz += 0.25;
	set_translate(corpo_list, 1.75,0,0.25);
	set_translate(braccio_dx_list, 1.75,0,0.25);
	set_translate(braccio_sx_list, 1.75,0,0.25);
}

void passo_da_sx_a_dx_2()
{
	//la gamba destra ora poggia per terra dritta(la abbasso e rot = 0)
	gamba_sx_rot += 5;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, 1);
	gamba_sx_posx += 0.5;
	gamba_sx_posz += 2.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	
	//la gamba sinistra è più ruotata di prima e il piede un pò ruotato
	gamba_dx_rot += 5;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);
	gamba_dx_posx += 1;
	gamba_dx_posz += 2.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);

	//il corpo torna su e avanza un pò
	corpo_posx += 1.75;
	corpo_posz += 0.25;
	braccio_dx_posx += 1.75;
	braccio_dx_posz += 0.25;
	braccio_sx_posx += 1.75;
	braccio_sx_posz += 0.25;
	set_translate(corpo_list, 1.75,0,0.25);
	set_translate(braccio_dx_list, 1.75,0,0.25);
	set_translate(braccio_sx_list, 1.75,0,0.25);
}


void passo_da_sx_a_dx_3()
{
	//ruoto la gamba sinistra in avanti
	gamba_dx_rot += -15;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);
	gamba_dx_posx += 2.25;
	gamba_dx_posz += -7.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	//ruoto la gamba destra indietro
	gamba_sx_rot += 5;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, -1);
	gamba_sx_posx += 1.25;
	gamba_sx_posz += 2.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	//sposto un pò in avanti e in giu il corpo per accompagnare la gamba sinistra ruotata
	corpo_posx += 0.75;
	corpo_posz += -0.25;
	braccio_dx_posx += 0.75;
	braccio_dx_posz += -0.25;
	braccio_sx_posx += 0.75;
	braccio_sx_posz += -0.25;
	set_translate(corpo_list, 0.75,0,-0.25);
	set_translate(braccio_dx_list, 0.75,0,-0.25);
	set_translate(braccio_sx_list, 0.75,0,-0.25);
}

void passo_da_sx_a_dx_4()
{
	//ruoto la gamba sinistra in avanti
	gamba_dx_rot += -15;
	set_y_rotate_abs(gamba_dx_list, gamba_dx_rot, 1);
	gamba_dx_posx += 2.25;
	gamba_dx_posz += -7.5;
	set_translate(gamba_dx_list, gamba_dx_posx,0,gamba_dx_posz);
	//ruoto la gamba destra indietro
	gamba_sx_rot += 5;
	set_y_rotate_abs(gamba_sx_list, gamba_sx_rot, -1);
	gamba_sx_posx += 1.25;
	gamba_sx_posz += 2.5;
	set_translate(gamba_sx_list, gamba_sx_posx,0,gamba_sx_posz);
	//sposto un pò in avanti e in giu il corpo per accompagnare la gamba sinistra ruotata
	corpo_posx += 0.75;
	corpo_posz += -0.25;
	braccio_dx_posx += 0.75;
	braccio_dx_posz += -0.25;
	braccio_sx_posx += 0.75;
	braccio_sx_posz += -0.25;
	set_translate(corpo_list, 0.75,0,-0.25);
	set_translate(braccio_dx_list, 0.75,0,-0.25);
	set_translate(braccio_sx_list, 0.75,0,-0.25);
}

int main(void)
{

	set_background(0.4,0.361,0.753,TRUE);
	set_ambient_light(1,1,1,0.7);
	luce_1 = create_point_light(39,-23,26,1,1,1,1,0,"luce1");
	luce_2 = create_point_light(72, -5, 64,1,0,0,1,0,"luce2");

	/*************************************************************
	 ******	mike
	 *************************************************************/
	temp_attr = create_attribute("temp_attr");
	attr_lucina = create_attribute("attr_lucina");
	colore_pavimento = create_attribute("colore_pavimento");
	colore_muro = create_attribute("colore_muro");
	colore_soffitto = create_attribute("colore_soffitto");
//set_color(attr_limone,1,1,0,0.5,0.5);
//set_reflectivity(attr_limone,0.3,2);

	corno_dx = read_nurbs("corno_dx.db");
	corno_sx = read_nurbs("corno_sx.db");
	corpo_trimmato = read_nurbs("corpo_trimmato.dbe");
	braccio_dx = read_nurbs("braccio_dx.db");
	mano_dx = read_nurbs("mano_dx.db");
	pollice_dx = read_nurbs("pollice_dx.db");
	indice_dx = read_nurbs("indice_dx.db");
	medio_dx = read_nurbs("medio_dx.db");
	mignolo_dx = read_nurbs("mignolo_dx.db");
	braccio_sx = read_nurbs("braccio_sx.db");
	mano_sx = read_nurbs("mano_sx.db");
	pollice_sx = read_nurbs("pollice_sx.db");
	indice_sx = read_nurbs("indice_sx.db");
	medio_sx = read_nurbs("medio_sx.db");
	mignolo_sx = read_nurbs("mignolo_sx.db");
	occhio = read_nurbs("occhio.db");
	ciglio = read_nurbs("ciglio.db");
	sopracciglio = read_nurbs("sopracciglio.db");
	sottociglio = read_nurbs("sottociglio.db");
	bocca_overlay = read_nurbs("bocca_overlay.db");
	labbro = read_nurbs("labbro.db");
	dente_1 = read_nurbs("dente_1.db");
	dente_2 = read_nurbs("dente_2.db");
	dente_3 = read_nurbs("dente_3.db");
	dente_4 = read_nurbs("dente_4.db");
	gamba_dx = read_nurbs("gamba_dx.db");
	piede_dx = read_nurbs("piede_dx.db");
	unghia_dx_1 = read_nurbs("unghia_dx_1.db");
	unghia_dx_2 = read_nurbs("unghia_dx_2.db");
	unghia_dx_3 = read_nurbs("unghia_dx_3.db");
	gamba_sx = read_nurbs("gamba_sx.db");
	piede_sx = read_nurbs("piede_sx.db");
	unghia_sx_1 = read_nurbs("unghia_sx_1.db");
	unghia_sx_2 = read_nurbs("unghia_sx_2.db");
	unghia_sx_3 = read_nurbs("unghia_sx_3.db");
	porta_corpo = read_nurbs("porta_corpo.db");
	porta_contorno = read_nurbs("porta_contorno.db");
	pomello_porta = read_nurbs("pomello_porta.db");
	sostegno_porta_dx = read_nurbs("sostegno_porta_dx.db");
	sostegno_porta_sx = read_nurbs("sostegno_porta_sx.db");
	lucina = read_nurbs("lucina.db");
	ruota_sx = read_nurbs("ruota_sx.db");
	ruota_dx = read_nurbs("ruota_dx.db");
	pavimento = read_nurbs("pavimento.db");
	soffitto = read_nurbs("soffitto.db");
	fondo = read_nurbs("fondo.db");
	muro = read_nurbs("muro.db");
	sostegno_bombola_sotto = read_nurbs("sostegno_bombola_sotto.db");
	sostegno_bombola_sopra = read_nurbs("sostegno_bombola_sopra.db");
	bombola = read_nurbs("bombola.db");
	bombola2 = read_nurbs("bombola2.db");
	pinza_1 = read_nurbs("pinza_1.db");
	pinza_2 = read_nurbs("pinza_2.db");
	filo = read_nurbs("filo.db");

//set_attribute(limone,attr_limone);

	braccio_dx_list = create_list(braccio_dx, "braccio_dx_list");
	braccio_dx_list = insert_in_list(braccio_dx_list, mano_dx);
	braccio_dx_list = insert_in_list(braccio_dx_list, pollice_dx);
	braccio_dx_list = insert_in_list(braccio_dx_list, indice_dx);
	braccio_dx_list = insert_in_list(braccio_dx_list, medio_dx);
	braccio_dx_list = insert_in_list(braccio_dx_list, mignolo_dx);

	braccio_sx_list = create_list(braccio_sx, "braccio_sx_list");
	braccio_sx_list = insert_in_list(braccio_sx_list, mano_sx);
	braccio_sx_list = insert_in_list(braccio_sx_list, pollice_sx);
	braccio_sx_list = insert_in_list(braccio_sx_list, indice_sx);
	braccio_sx_list = insert_in_list(braccio_sx_list, medio_sx);
	braccio_sx_list = insert_in_list(braccio_sx_list, mignolo_sx);

	corpo_list = create_list(corpo_trimmato, "corpo_list");
	corpo_list = insert_in_list(corpo_list, corno_dx);
	corpo_list = insert_in_list(corpo_list, corno_sx);
	corpo_list = insert_in_list(corpo_list, occhio);
	corpo_list = insert_in_list(corpo_list, ciglio);
	corpo_list = insert_in_list(corpo_list, sopracciglio);
	corpo_list = insert_in_list(corpo_list, sottociglio);
	corpo_list = insert_in_list(corpo_list, bocca_overlay);
	corpo_list = insert_in_list(corpo_list, labbro);
	corpo_list = insert_in_list(corpo_list, dente_1);
	corpo_list = insert_in_list(corpo_list, dente_2);
	corpo_list = insert_in_list(corpo_list, dente_3);
	corpo_list = insert_in_list(corpo_list, dente_4);

	gamba_dx_list = create_list(gamba_dx, "gamba_dx_list");
	gamba_dx_list = insert_in_list(gamba_dx_list, piede_dx);
	gamba_dx_list = insert_in_list(gamba_dx_list, unghia_dx_1);
	gamba_dx_list = insert_in_list(gamba_dx_list, unghia_dx_2);
	gamba_dx_list = insert_in_list(gamba_dx_list, unghia_dx_3);

	gamba_sx_list = create_list(gamba_sx, "gamba_sx_list");
	gamba_sx_list = insert_in_list(gamba_sx_list, piede_sx);
	gamba_sx_list = insert_in_list(gamba_sx_list, unghia_sx_1);
	gamba_sx_list = insert_in_list(gamba_sx_list, unghia_sx_2);
	gamba_sx_list = insert_in_list(gamba_sx_list, unghia_sx_3);

	pelle_list = create_list(braccio_dx_list, "pelle_list");
	pelle_list = insert_in_list(pelle_list, braccio_sx_list);
	pelle_list = insert_in_list(pelle_list, corpo_trimmato);
	pelle_list = insert_in_list(pelle_list, bocca_overlay);
	pelle_list = insert_in_list(pelle_list, labbro);
	pelle_list = insert_in_list(pelle_list, sopracciglio);
	pelle_list = insert_in_list(pelle_list, ciglio);
	pelle_list = insert_in_list(pelle_list, sottociglio);
	pelle_list = insert_in_list(pelle_list, gamba_dx);
	pelle_list = insert_in_list(pelle_list, gamba_sx);
	pelle_list = insert_in_list(pelle_list, piede_dx);
	pelle_list = insert_in_list(pelle_list, piede_sx);

	denti_list = create_list(dente_1, "denti_list");
	denti_list = insert_in_list(denti_list, dente_2);
	denti_list = insert_in_list(denti_list, dente_3);
	denti_list = insert_in_list(denti_list, dente_4);

	unghie_list = create_list(unghia_dx_1, "unghie_list");
	unghie_list = insert_in_list(unghie_list, unghia_dx_2);
	unghie_list = insert_in_list(unghie_list, unghia_dx_3);
	unghie_list = insert_in_list(unghie_list, unghia_sx_1);
	unghie_list = insert_in_list(unghie_list, unghia_sx_2);
	unghie_list = insert_in_list(unghie_list, unghia_sx_3);

	piede_dx_list = create_list(unghia_dx_1, "piede_dx_list");
	piede_dx_list = insert_in_list(piede_dx_list, unghia_dx_2);
	piede_dx_list = insert_in_list(piede_dx_list, unghia_dx_3);
	piede_dx_list = insert_in_list(piede_dx_list, piede_dx);

	piede_sx_list = create_list(unghia_sx_1, "piede_dx_list");
	piede_sx_list = insert_in_list(piede_sx_list, unghia_sx_2);
	piede_sx_list = insert_in_list(piede_sx_list, unghia_sx_3);
	piede_sx_list = insert_in_list(piede_sx_list, piede_sx);

	ambiente_list = create_list(porta_corpo,"ambiente_list");
	ambiente_list = insert_in_list(ambiente_list, porta_contorno);
	ambiente_list = insert_in_list(ambiente_list, pomello_porta);
	ambiente_list = insert_in_list(ambiente_list, sostegno_porta_dx);
	ambiente_list = insert_in_list(ambiente_list, sostegno_porta_sx);
	ambiente_list = insert_in_list(ambiente_list, lucina);
	ambiente_list = insert_in_list(ambiente_list, sostegno_bombola_sotto);
	ambiente_list = insert_in_list(ambiente_list, sostegno_bombola_sopra);
	ambiente_list = insert_in_list(ambiente_list, bombola);
	ambiente_list = insert_in_list(ambiente_list, bombola2);
	ambiente_list = insert_in_list(ambiente_list, ruota_sx);
	ambiente_list = insert_in_list(ambiente_list, ruota_dx);
	ambiente_list = insert_in_list(ambiente_list, pavimento);
	ambiente_list = insert_in_list(ambiente_list, soffitto);
	ambiente_list = insert_in_list(ambiente_list, fondo);
	ambiente_list = insert_in_list(ambiente_list, muro);
	ambiente_list = insert_in_list(ambiente_list, pinza_1);
	ambiente_list = insert_in_list(ambiente_list, pinza_2);
	ambiente_list = insert_in_list(ambiente_list, filo);

	porta_list = create_list(porta_corpo, "porta_list");
	porta_list = insert_in_list(porta_list, porta_contorno);
	porta_list = insert_in_list(porta_list, pomello_porta);
	porta_list = insert_in_list(porta_list, lucina);

	sostegni_list = create_list(sostegno_porta_dx,"ambiente_list");
	sostegni_list = insert_in_list(sostegni_list, sostegno_porta_sx);
	sostegni_list = insert_in_list(sostegni_list, ruota_dx);
	sostegni_list = insert_in_list(sostegni_list, ruota_sx);
	sostegni_list = insert_in_list(sostegni_list, sostegno_bombola_sopra);
	sostegni_list = insert_in_list(sostegni_list, sostegno_bombola_sotto);

	pinza_list = create_list(pinza_1, "pinza_list");
	pinza_list = insert_in_list(pinza_list, pinza_2);
	pinza_list = insert_in_list(pinza_list, filo);

	scena = create_list(braccio_dx_list,"scena");
	scena = insert_in_list(scena, braccio_sx_list);
	scena = insert_in_list(scena, corpo_list);
	scena = insert_in_list(scena, gamba_dx_list);
	scena = insert_in_list(scena, gamba_sx_list);
	scena = insert_in_list(scena, ambiente_list);

	set_domain_texture(unghie_list, temp_attr, "textures/dente.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(corno_dx, temp_attr, "textures/dente.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(corno_sx, temp_attr, "textures/dente.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(occhio, temp_attr, "textures/occhio.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(denti_list, temp_attr, "textures/dente.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(pelle_list, temp_attr, "textures/pelle.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(sostegni_list, temp_attr, "textures/ferro.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(porta_contorno, temp_attr, "textures/stipite.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(pomello_porta, temp_attr, "textures/legno.hr",0,1,0,1,TRUE,0.4,0.4);
	//set_domain_texture(porta_corpo, temp_attr, "textures/test.hr",0,1,0,1,TRUE,0.4,0.4);
	set_bump_texture(porta_corpo, temp_attr, "textures/porta_bumpmap.hr",0,1,0,1,FALSE,0.4,0.4);
	set_domain_texture(bombola, temp_attr, "textures/bombola.hr",0,1,0,1,TRUE,0.4,1);
	set_domain_texture(bombola2, temp_attr, "textures/bombola.hr",0,1,0,1,TRUE,0.4,1);
	//set_domain_texture(pavimento, temp_attr, "textures/pavimento.hr",0,1,0,1,TRUE,0.4,1);
	set_transparency(attr_lucina, 0.3,0.3, 0, 1.5);
	set_color(attr_lucina, 1,0.3,0.1, 1,1);
	set_attribute(lucina, attr_lucina);
	set_attribute(pavimento, colore_pavimento);
	set_attribute(muro, colore_muro);
	set_attribute(soffitto, colore_soffitto);
	//pavimento color puffo
	set_color(colore_pavimento, 0.19,0.73,1,1,1);
	set_color(colore_muro, 0.19,0.73,1,1,1);
	set_color(colore_soffitto, 0.19,0.73,1,1,1);
	set_projection_texture(fondo, temp_attr, "textures/serranda.hr",1,TRUE,0.3,0.7);
	set_scale_abs(fondo, 500,500,500);

	//frame 1
	//mi porto più o meno di fronte alla porta

	//set_translate(scena,-70,40,-50);
	//set_z_rotate(scena, -60, 1);
	//set_x_rotate(scena, -10, 1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	save_scene("scena.md", "scena", scena);

	//frame2
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame3
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame4
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame5
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame6
	set_point_light(72, -5, 64,0,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0,0, 0.4,0.4);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame7
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame8
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame9
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame10;
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame11;
	set_point_light(72, -5, 64,1,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0.3,0.1, 1,1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame12
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame13
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame14
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame15
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame16
	set_point_light(72, -5, 64,0,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0,0, 0.4,0.4);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame17
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame18
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame19
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame20;
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame21;
	set_point_light(72, -5, 64,1,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0.3,0.1, 1,1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame22
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame23
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame24
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame25
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame26
	set_point_light(72, -5, 64,0,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0,0, 0.4,0.4);
	//mike entra in scena
	
	inizio_passo_dx();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame27

	passo_da_dx_a_sx_1();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame28

	passo_da_dx_a_sx_2();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	
	//frame29

	passo_da_dx_a_sx_3();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame30;

	passo_da_dx_a_sx_4();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame31;

	passo_da_sx_a_dx_1();

	set_point_light(72, -5, 64,1,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0.3,0.1, 1,1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame32

	passo_da_sx_a_dx_2();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame33

	passo_da_sx_a_dx_3();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame34

	passo_da_sx_a_dx_4();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame35

	passo_da_dx_a_sx_1();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame36

	passo_da_dx_a_sx_2();

	set_point_light(72, -5, 64,0,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0,0, 0.4,0.4);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame37

	passo_da_dx_a_sx_3();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame38

	passo_da_dx_a_sx_4();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame39

	passo_da_sx_a_dx_1();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame40;

	passo_da_sx_a_dx_2();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame41;
	passo_da_sx_a_dx_3();

	set_point_light(72, -5, 64,1,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0.3,0.1, 1,1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);	save_scene("mike.md","mike",scena);

	//frame42
	passo_da_sx_a_dx_4();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame43
	passo_da_dx_a_sx_1();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame44
	passo_da_dx_a_sx_2();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame45
	passo_da_dx_a_sx_3();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame46
	passo_da_dx_a_sx_4();

	set_point_light(72, -5, 64,0,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0,0, 0.4,0.4);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame47
	passo_da_sx_a_dx_1();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame48
	passo_da_sx_a_dx_2();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame49
	passo_da_sx_a_dx_3();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame50
	passo_da_sx_a_dx_4();
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame51

	//ruoto le braccia
	set_y_rotate_abs(braccio_dx_list,-25.5,1);
	set_y_rotate_abs(braccio_sx_list,-25,1);
	set_translate(braccio_dx_list, braccio_dx_posx * 2 - (braccio_dx_posx*3.0/4.0) + 2,0,braccio_dx_posz*20 -1);
	set_translate(braccio_sx_list, braccio_sx_posx * 2 - (braccio_dx_posx*3.0/4.0) + 2,0,braccio_sx_posz*20-1);

	set_point_light(72, -5, 64,1,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0.3,0.1, 1,1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame52

	//ruoto le braccia
	set_y_rotate_abs(braccio_dx_list,-45,1);
	set_y_rotate_abs(braccio_sx_list,-25,1);
	set_translate(braccio_dx_list, braccio_dx_posx * 2 - (braccio_dx_posx*2.0/4.0) + 4.5,0,braccio_dx_posz*20 - 6);
	set_translate(braccio_sx_list, braccio_sx_posx * 2 - (braccio_dx_posx*3.0/4.0) + 2,0,braccio_sx_posz*20-1);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame53

	//ruoto le braccia
	set_y_rotate_abs(braccio_dx_list,-77.5,1);
	set_y_rotate_abs(braccio_sx_list,-25,1);
	set_translate(braccio_dx_list, braccio_dx_posx * 2 - (braccio_dx_posx/4.0) + 15,0,braccio_dx_posz*20 - 5);
	set_translate(braccio_sx_list, braccio_sx_posx * 2 - (braccio_dx_posx*3.0/4.0) + 2,0,braccio_sx_posz*20-1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame54

	//ruoto le braccia
	set_y_rotate_abs(braccio_dx_list,-90,1);
	set_y_rotate_abs(braccio_sx_list,-25,1);
	set_translate(braccio_dx_list, braccio_dx_posx * 2 + 14,0,braccio_dx_posz*20 - 2);
	set_translate(braccio_sx_list, braccio_sx_posx * 2 - (braccio_dx_posx*3.0/4.0) + 2,0,braccio_sx_posz*20-1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame55

	//ruoto il corpo sull'asse x per portarlo a direzione della bombola
	set_x_rotate_abs(corpo_list, -10, 1);
	set_x_rotate(braccio_dx_list, -10, 1);
	set_x_rotate(braccio_sx_list, -10, 1);
	set_x_rotate(gamba_dx_list, -10, 1);
	set_translate(corpo_list, corpo_posx,-2,-8);
	set_translate(braccio_dx_list, braccio_dx_posx -30,0,braccio_dx_posz -7);
	set_translate(braccio_sx_list, braccio_sx_posx -30,-6,braccio_sx_posz -8);
	set_translate(gamba_dx_list, 0,-2,gamba_dx_posz -2);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame56

	set_x_rotate_abs(corpo_list, -20, 1);
	set_x_rotate(braccio_dx_list, -10, 1);
	set_x_rotate(braccio_sx_list, -10, 1);
	set_x_rotate(gamba_dx_list, -10, 1);
	set_translate(corpo_list, corpo_posx,-4,-15);
	set_translate(braccio_dx_list, braccio_dx_posx -32, -2,braccio_dx_posz -7);
	set_translate(braccio_sx_list, braccio_sx_posx -32, 3,braccio_sx_posz -8);
	set_translate(gamba_dx_list, 0,-1,gamba_dx_posz -3);

	set_point_light(72, -5, 64,0,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0,0, 0.4,0.4);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame57

	set_translate(braccio_dx_list, 0,0,-2);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame58

	set_translate(braccio_dx_list, 0,0,2);
	set_translate(bombola, 0,0,2);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame59

	//riporto mike e bombola a terra
	set_x_rotate_abs(corpo_list, -10, 1);
	set_x_rotate(braccio_dx_list, 10, 1);
	set_x_rotate(braccio_sx_list, 10, 1);
	set_x_rotate(gamba_dx_list, 10, 1);
	set_translate(corpo_list, corpo_posx,-1,-8);
	set_translate(braccio_dx_list, braccio_dx_posx -31, 0,braccio_dx_posz +8);
	set_translate(braccio_sx_list, braccio_sx_posx -31, 1, braccio_sx_posz + 8);
	set_translate(gamba_dx_list, 0,0,8);

	set_translate(bombola, 0,-2,-2);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame60

	//frame in cui torna a terra definitivo
	set_x_rotate_abs(corpo_list, 0, 1);
	set_x_rotate(braccio_dx_list, 10, 1);
	set_x_rotate(braccio_sx_list, 10, 1);
	set_x_rotate(gamba_dx_list, 10, 1);

	set_translate(corpo_list, corpo_posx,1,0);
	set_translate(braccio_dx_list, braccio_dx_posx -31, 0,braccio_dx_posz +8);
	set_translate(braccio_sx_list, braccio_sx_posx -31, 0, braccio_sx_posz + 8);
	set_translate(gamba_dx_list, 0,1,8);

	set_translate(bombola, 0,-3,-2);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	
	//frame61;

	fine_passo_dx();
	set_translate(bombola, 2,0,-0.5);
	set_point_light(72, -5, 64,1,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0.3,0.1, 1,1);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame62
	
	//inizio rotazione di 90° per spostare la bombola		
	set_z_rotate_abs(corpo_list, -22.5, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate(bombola, -22.5, 1);
	set_z_rotate_abs(gamba_dx_list, -45, 1);
	set_z_rotate_abs(gamba_sx_list, 0, 1);
	set_translate(corpo_list, 54.3, 7.9, -0.4);	
	set_translate(braccio_dx_list, 26.5, 18, 0);
	set_translate(bombola, 26.5, 18, 0);
	set_translate(braccio_sx_list, 26.5, 18, 0);
	set_translate(gamba_sx_list, 34, 0, 0);
	set_translate(gamba_dx_list, 80, 0, 0);
	

	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame63
	set_z_rotate_abs(corpo_list, -45, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate(bombola, -22.5, 1);
	set_z_rotate_abs(gamba_dx_list, -90, 1);
	set_z_rotate_abs(gamba_sx_list, 0, 1);
	set_translate(corpo_list, 76.6, 5.9, 0);	
	set_translate(braccio_dx_list, 23, 20, 0);
	set_translate(bombola, 23, 20, 0);
	set_translate(braccio_sx_list, 23, 20, 0);
	set_translate(gamba_sx_list, 34, 0, 0);
	set_translate(gamba_dx_list, 114, -25, 0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame64

	set_z_rotate_abs(corpo_list, -77.5, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate(bombola, -22.5, 1);
	set_z_rotate_abs(gamba_sx_list, -77.5, 1);
	set_translate(corpo_list, 105.6, -10.9, 0);	
	set_translate(braccio_dx_list, 25, 21, 0);
	set_translate(bombola, 25, 21, 0);
	set_translate(braccio_sx_list, 25, 21, 0);
	set_translate(gamba_sx_list, 105, -14, 0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame65

	set_z_rotate_abs(corpo_list, -90, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate(bombola, -22.5, 1);
	set_z_rotate_abs(gamba_sx_list, -90, 1);
	set_translate(corpo_list, 113.6, -22.9, 0);	
	set_translate(braccio_dx_list, 24.5, 20, 0);
	set_translate(bombola, 24.5, 20, 0);
	set_translate(braccio_sx_list, 24.5, 20, 0);
	set_translate(gamba_sx_list, 113, -25, 0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame66

	set_x_rotate(braccio_dx_list, 3, 1);
	set_translate(braccio_dx_list, 0, 1, 2.7);
	set_translate(bombola, 0, 0, -0.4);

	set_point_light(72, -5, 64,0,0,0,1,0,luce_2);
	set_color(attr_lucina, 1,0,0, 0.4,0.4);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame67

	set_x_rotate(braccio_dx_list, -3, 1);
	set_translate(braccio_dx_list, 0, -1, -2.7);

	//porto giu la pinza
	set_translate(pinza_list, 0, 0, -10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame 68

	//rimetto anche a posto piano piano il braccio destro
	set_x_rotate(braccio_dx_list, 22.5, 1);
	set_translate(braccio_dx_list, 0, 2, 21);

	//porto giu la pinza
	set_translate(pinza_list, 0, 0, -10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame 69

	set_x_rotate(braccio_dx_list, 22.5, 1);
	set_translate(braccio_dx_list, 0, 2, 21);

	//porto giu la pinza
	set_translate(pinza_list, 0, 0, -10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame 70	

	set_x_rotate(braccio_dx_list, 22.5, 1);
	set_translate(braccio_dx_list, 0, 2, 21);

	//porto giu la pinza
	set_translate(pinza_list, 0, 0, -10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	
	//frame71

	set_x_rotate(braccio_dx_list, 22.5, 1);
	set_translate(braccio_dx_list, 0, 2, 21);
	set_x_rotate(braccio_sx_list, 25, 1);
	set_translate(braccio_sx_list, 0, 2, 25.5);

	//porto giu la pinza
	set_translate(pinza_list, 0, 0, -10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame72
	set_z_rotate_abs(corpo_list, -112.5, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_dx_list, -135, 1);
	set_translate(corpo_list, 120.91, -42.266, 0);	
	set_translate(braccio_dx_list, 24.5, 22, 0);
	set_translate(braccio_sx_list, 24.5, 22, 0);
	set_translate(gamba_dx_list, 118, -70, 0);
	
	//porto giu la pinza
	set_translate(pinza_list, 0, 0, -10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame73
	set_z_rotate_abs(corpo_list, -135, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_dx_list, -180, 1);
	set_translate(corpo_list, 118.155, -64.557, 0);	
	set_translate(braccio_dx_list, 22.5, 21, 0);
	set_translate(braccio_sx_list, 22.5, 21, 0);
	set_translate(gamba_dx_list, 88, -103, 0);

	//faccio presa con le pinze
	set_y_rotate(pinza_1, 30, 1);
	set_y_rotate(pinza_2, -30, 1);
	set_translate(pinza_1, -28.5, 0, 49);
	set_translate(pinza_2, 47, 0, -31.5);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame74
	set_z_rotate_abs(corpo_list, -157.5, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_sx_list, -135, 1);
	set_translate(corpo_list, 109.003, -88.521, 0);	
	set_translate(braccio_dx_list, 25, 16, 0);
	set_translate(braccio_sx_list, 25, 16, 0);
	set_translate(gamba_sx_list, 118, -70, 0);

	//ruoto i sostegni per sganciare la porta
	set_x_rotate(sostegno_porta_dx, 5, 1);
	set_x_rotate(ruota_dx, 5, 1);
	set_translate(sostegno_porta_dx, 0, -0.388, 2.864);
	set_translate(ruota_dx, 0, -0.388, 2.864);
	set_x_rotate(sostegno_porta_sx, -5, 1);
	set_x_rotate(ruota_sx, -5, 1);
	set_translate(sostegno_porta_sx, 0, 0.369, 2.428);
	set_translate(ruota_sx, 0, 0.369, 2.428);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	
	//frame75;
	set_z_rotate_abs(corpo_list, -180, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_sx_list, -180, 1);
	set_translate(corpo_list, 89, -102.521, 0);	
	set_translate(braccio_dx_list, 22.5, 21, 0);
	set_translate(braccio_sx_list, 22.5, 21, 0);
	set_translate(gamba_sx_list, 88, -102, 0);

	//ruoto i sostegni per sganciare la porta
	set_x_rotate(sostegno_porta_dx, 5, 1);
	set_x_rotate(ruota_dx, 5, 1);
	set_translate(sostegno_porta_dx, 0, -0.388, 2.864);
	set_translate(ruota_dx, 0, -0.388, 2.864);
	set_x_rotate(sostegno_porta_sx, -5, 1);
	set_x_rotate(ruota_sx, -5, 1);
	set_translate(sostegno_porta_sx, 0, 0.369, 2.428);
	set_translate(ruota_sx, 0, 0.369, 2.428);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame76
	set_z_rotate_abs(corpo_list, -202.5, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_dx_list, -225, 1);
	set_translate(corpo_list, 67.735, -105.91, 0);	
	set_translate(braccio_dx_list, 25, 23, 0);
	set_translate(braccio_sx_list, 25, 23, 0);
	set_translate(gamba_dx_list, 43, -102, 0);

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame77
	set_z_rotate_abs(corpo_list, -225, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_dx_list, -270, 1);
	set_translate(corpo_list, 46, -105.521, 0);	
	set_translate(braccio_dx_list, 23.5, 19, 0);
	set_translate(braccio_sx_list, 23.5, 19, 0);
	set_translate(gamba_dx_list, 9, -74, 0);

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame78
	set_z_rotate_abs(corpo_list, -247.5, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_sx_list, -225, 1);
	set_translate(corpo_list, 25.522, -94.003, 0);	
	set_translate(braccio_dx_list, 23.5, 20.5, 0);
	set_translate(braccio_sx_list, 23.5, 20.5, 0);
	set_translate(gamba_sx_list, 44, -101, 0);

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame79
	set_z_rotate_abs(corpo_list, -270, 1);
	set_z_rotate(braccio_dx_list, -22.5, 1);
	set_z_rotate(braccio_sx_list, -22.5, 1);
	set_z_rotate_abs(gamba_sx_list, -270, 1);
	set_translate(corpo_list, 9, -75, 0);	
	set_translate(braccio_dx_list, 21.5, 22, 0);
	set_translate(braccio_sx_list, 21.5, 22, 0);
	set_translate(gamba_sx_list, 9, -74, 0);	

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame80

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	
	//frame81;

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame82

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame83

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame84

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame85

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame86

	//porto su la pinza
	set_translate(pinza_list, 0, 0, 10);
	set_translate(porta_list, 0,0,10);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame87
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame88
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame89
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame90
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	
	//frame91;
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame92
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame93
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame94
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame95
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame96
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame97
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame98
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame99
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);

	//frame100
	save_scene_ani(100, "miaanimazione.ani", "animazione", "mike", scena);
	

	return(0);
}
